- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b0f872ad-b940-4078-acf6-6595362040bc
    creation_time: 2023-02-17T13:37:40.159529Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound1.c: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound1.c
    file_hash: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
    line: 33
    column: 0
    function: main
  loop_invariant:
    string: 2 * Y * x - 2 * X * y - X + 2 * Y - v == 0 && (x <= X + 1 || (X < 0 && 0 == x && v == 2 * Y - X))
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 46280fbd-a1f3-4c98-97bb-7ab5d1e34c7b
    creation_time: 2023-02-17T13:37:40.159970Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound1.c: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound1.c
    file_hash: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c03b24db-a966-4174-bde9-22d391aec4c3
    creation_time: 2023-02-17T13:37:40.160070Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound1.c: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound1.c
    file_hash: 1e1d72742850b95338b71e8d041fa264ac4d7956cbe86d6603297a369e94cb76
    line: 51
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v + 2*y == 0
    type: assertion
    format: C

